Operations - List
Lists all of the available REST API operations of the Microsoft.Search provider.
GET https://management.azure.com/providers/Microsoft.Search/operations?api-version=2026-11-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
SearchListOperations
Sample request
GET https://management.azure.com/providers/Microsoft.Search/operations?api-version=2026-11-01
Sample response
{
"value": [
{
"name": "Microsoft.Search/operations/read",
"display": {
"description": "Lists all of the available operations of the Microsoft.Search provider.",
"operation": "List all available operations",
"provider": "Microsoft Search",
"resource": "Search Services"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/register/action",
"display": {
"description": "Registers the subscription for the search resource provider and enables the creation of search services.",
"operation": "Register the Search Resource Provider",
"provider": "Microsoft Search",
"resource": "Search Services"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/write",
"display": {
"description": "Creates or updates the search service.",
"operation": "Set Search Service",
"provider": "Microsoft Search",
"resource": "Search Services"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/read",
"display": {
"description": "Reads the search service.",
"operation": "Get Search Service",
"provider": "Microsoft Search",
"resource": "Search Services"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/delete",
"display": {
"description": "Deletes the search service.",
"operation": "Delete Search Service",
"provider": "Microsoft Search",
"resource": "Search Services"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/start/action",
"display": {
"description": "Starts the search service.",
"operation": "Start Search Service",
"provider": "Microsoft Search",
"resource": "Search Services"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/stop/action",
"display": {
"description": "Stops the search service.",
"operation": "Stop Search Service",
"provider": "Microsoft Search",
"resource": "Search Services"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/listAdminKeys/action",
"display": {
"description": "Reads the admin keys.",
"operation": "Get Admin Key",
"provider": "Microsoft Search",
"resource": "Search Services"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/regenerateAdminKey/action",
"display": {
"description": "Regenerates the admin key.",
"operation": "Regenerate Admin Key",
"provider": "Microsoft Search",
"resource": "Search Services"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/listQueryKeys/action",
"display": {
"description": "Returns the list of query API keys for the given Azure AI Search service.",
"operation": "Get Query Keys",
"provider": "Microsoft Search",
"resource": "API Keys"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/createQueryKey/action",
"display": {
"description": "Creates the query key.",
"operation": "Create Query Key",
"provider": "Microsoft Search",
"resource": "Search Services"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/deleteQueryKey/delete",
"display": {
"description": "Deletes the query key.",
"operation": "Delete Query Key",
"provider": "Microsoft Search",
"resource": "API Keys"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/checkNameAvailability/action",
"display": {
"description": "Checks availability of the service name.",
"operation": "Check Service Name Availability",
"provider": "Microsoft Search",
"resource": "Service Name Availability"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/diagnosticSettings/read",
"display": {
"description": "Gets the diganostic setting for the resource.",
"operation": "Get Diagnostic Setting",
"provider": "Microsoft Search",
"resource": "Diagnostic Settings"
},
"isDataAction": false,
"origin": "system"
},
{
"name": "Microsoft.Search/searchServices/diagnosticSettings/write",
"display": {
"description": "Creates or updates the diganostic setting for the resource.",
"operation": "Set Diagnostic Setting",
"provider": "Microsoft Search",
"resource": "Diagnostic Settings"
},
"isDataAction": false,
"origin": "system"
},
{
"name": "Microsoft.Search/searchServices/metricDefinitions/read",
"display": {
"description": "Gets the available metrics for the search service.",
"operation": "Read search service metric definitions",
"provider": "Microsoft Search",
"resource": "The metric definitions for the search service"
},
"isDataAction": false,
"origin": "system"
},
{
"name": "Microsoft.Search/searchServices/logDefinitions/read",
"display": {
"description": "Gets the available logs for the search service.",
"operation": "Read search service log definitions",
"provider": "Microsoft Search",
"resource": "The log definition for the search service"
},
"isDataAction": false,
"origin": "system"
},
{
"name": "Microsoft.Search/searchServices/privateEndpointConnectionProxies/validate/action",
"display": {
"description": "Validates a private endpoint connection create call from NRP (Microsoft.Network Resource Provider) side.",
"operation": "Validate Private Endpoint Connection Proxy",
"provider": "Microsoft Search",
"resource": "Private Endpoint Connection Proxy"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/privateEndpointConnectionProxies/write",
"display": {
"description": "Creates a private endpoint connection proxy with the specified parameters or updates the properties or tags for the specified private endpoint connection proxy.",
"operation": "Create Private Endpoint Connection Proxy",
"provider": "Microsoft Search",
"resource": "Private Endpoint Connection Proxy"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/privateEndpointConnectionProxies/read",
"display": {
"description": "Returns the list of private endpoint connection proxies or gets the properties for the specified private endpoint connection proxy.",
"operation": "Get Private Endpoint Connection Proxy",
"provider": "Microsoft Search",
"resource": "Private Endpoint Connection Proxy"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/privateEndpointConnectionProxies/delete",
"display": {
"description": "Deletes an existing private endpoint connection proxy.",
"operation": "Delete Private Endpoint Connection Proxy",
"provider": "Microsoft Search",
"resource": "Private Endpoint Connection Proxy"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/privateEndpointConnections/write",
"display": {
"description": "Creates a private endpoint connection with the specified parameters or updates the properties or tags for the specified private endpoint connections.",
"operation": "Create Private Endpoint Connection",
"provider": "Microsoft Search",
"resource": "Private Endpoint Connection"
},
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/privateEndpointConnections/read",
"display": {
"description": "Returns the list of private endpoint connections or gets the properties for the specified private endpoint connection.",
"operation": "Get Private Endpoint Connection",
"provider": "Microsoft Search",
"resource": "Private Endpoint Connection"
},
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/privateEndpointConnections/delete",
"display": {
"description": "Deletes an existing private endpoint connection.",
"operation": "Delete Private Endpoint Connection",
"provider": "Microsoft Search",
"resource": "Private Endpoint Connection"
},
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/sharedPrivateLinkResources/write",
"display": {
"description": "Creates a new shared private link resource with the specified parameters or updates the properties for the specified shared private link resource.",
"operation": "Create Shared Private Link Resource",
"provider": "Microsoft Search",
"resource": "Shared Private Link Resource"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/sharedPrivateLinkResources/read",
"display": {
"description": "Returns the list of shared private link resources or gets the properties for the specified shared private link resource.",
"operation": "Get Shared Private Link Resource",
"provider": "Microsoft Search",
"resource": "Shared Private Link Resource"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/sharedPrivateLinkResources/delete",
"display": {
"description": "Deletes an existing shared private link resource.",
"operation": "Delete Shared Private Link Resource",
"provider": "Microsoft Search",
"resource": "Shared Private Link Resource"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/sharedPrivateLinkResources/operationStatuses/read",
"display": {
"description": "Get the details of a long running shared private link resource operation.",
"operation": "Get Operation Status",
"provider": "Microsoft Search",
"resource": "Shared Private Link Resource"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/indexes/read",
"display": {
"description": "Return an index or its statistics, return a list of indexes or their statistics, or test the lexical analysis components of an index.",
"operation": "Read Index",
"provider": "Microsoft Search",
"resource": "Indexes"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/indexes/write",
"display": {
"description": "Create an index or modify its properties.",
"operation": "Create or Update Index",
"provider": "Microsoft Search",
"resource": "Indexes"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/indexes/delete",
"display": {
"description": "Delete an index.",
"operation": "Delete Index",
"provider": "Microsoft Search",
"resource": "Indexes"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/synonymMaps/read",
"display": {
"description": "Return a synonym map or a list of synonym maps.",
"operation": "Read Synonym Map",
"provider": "Microsoft Search",
"resource": "Synonym Maps"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/synonymMaps/write",
"display": {
"description": "Create a synonym map or modify its properties.",
"operation": "Create or Update Synonym Map",
"provider": "Microsoft Search",
"resource": "Synonym Maps"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/synonymMaps/delete",
"display": {
"description": "Delete a synonym map.",
"operation": "Delete Synonym Map",
"provider": "Microsoft Search",
"resource": "Synonym Maps"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/dataSources/read",
"display": {
"description": "Return a data source or a list of data sources.",
"operation": "Read Data Source",
"provider": "Microsoft Search",
"resource": "Data Sources"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/dataSources/write",
"display": {
"description": "Create a data source or modify its properties.",
"operation": "Create or Update Data Source",
"provider": "Microsoft Search",
"resource": "Data Sources"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/dataSources/delete",
"display": {
"description": "Delete a data source.",
"operation": "Delete Data Source",
"provider": "Microsoft Search",
"resource": "Data Sources"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/skillsets/read",
"display": {
"description": "Return a skillset or a list of skillsets.",
"operation": "Read Skillset",
"provider": "Microsoft Search",
"resource": "Skillsets"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/skillsets/write",
"display": {
"description": "Create a skillset or modify its properties.",
"operation": "Create or Update Skillset",
"provider": "Microsoft Search",
"resource": "Skillsets"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/skillsets/delete",
"display": {
"description": "Delete a skillset.",
"operation": "Delete Skillset",
"provider": "Microsoft Search",
"resource": "Skillsets"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/indexers/read",
"display": {
"description": "Return an indexer or its status, or return a list of indexers or their statuses.",
"operation": "Read Indexer",
"provider": "Microsoft Search",
"resource": "Indexers"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/indexers/write",
"display": {
"description": "Create an indexer, modify its properties, or manage its execution.",
"operation": "Create or Manage Indexer",
"provider": "Microsoft Search",
"resource": "Indexers"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/indexers/delete",
"display": {
"description": "Delete an indexer.",
"operation": "Delete Indexer",
"provider": "Microsoft Search",
"resource": "Indexers"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/debugSessions/read",
"display": {
"description": "Return a debug session or a list of debug sessions.",
"operation": "Read Debug Session",
"provider": "Microsoft Search",
"resource": "Debug Sessions"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/debugSessions/write",
"display": {
"description": "Create a debug session or modify its properties.",
"operation": "Create or Update Debug Session",
"provider": "Microsoft Search",
"resource": "Debug Sessions"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/debugSessions/delete",
"display": {
"description": "Delete a debug session.",
"operation": "Delete Debug Session",
"provider": "Microsoft Search",
"resource": "Debug Sessions"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/debugSessions/execute/action",
"display": {
"description": "Use a debug session, get execution data, or evaluate expressions on it.",
"operation": "Execute Debug Session",
"provider": "Microsoft Search",
"resource": "Debug Sessions"
},
"isDataAction": false,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/indexes/documents/read",
"display": {
"description": "Read documents or suggested query terms from an index.",
"operation": "Read Documents",
"provider": "Microsoft Search",
"resource": "Documents"
},
"isDataAction": true,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/indexes/documents/write",
"display": {
"description": "Upload documents to an index or modify existing documents.",
"operation": "Write Documents",
"provider": "Microsoft Search",
"resource": "Documents"
},
"isDataAction": true,
"origin": "user,system"
},
{
"name": "Microsoft.Search/searchServices/indexes/documents/delete",
"display": {
"description": "Delete documents from an index.",
"operation": "Delete Documents",
"provider": "Microsoft Search",
"resource": "Documents"
},
"isDataAction": true,
"origin": "user,system"
}
]
}
Definitions
| Name | Description |
|---|---|
|
Action |
Enum. Indicates the action type. "Internal" refers to actions that are for internal only APIs. |
|
Cloud |
Contains information about an API error. |
|
Cloud |
Describes a particular API error with an error code and a message. |
| Display |
Localized display information for this particular operation. |
| Operation |
REST API Operation |
|
Operation |
The result of the request to list REST API operations. It contains a list of operations and a URL to get the next set of results. |
| Origin |
The intended executor of the operation; as in Resource Based Access Control (RBAC) and audit logs UX. Default value is "user,system" |
ActionType
Enum. Indicates the action type. "Internal" refers to actions that are for internal only APIs.
| Value | Description |
|---|---|
| Internal |
CloudError
Contains information about an API error.
| Name | Type | Description |
|---|---|---|
| error |
Describes a particular API error with an error code and a message. |
|
| message |
string |
A brief description of the error that hints at what went wrong (for details/debugging information refer to the 'error.message' property). |
CloudErrorBody
Describes a particular API error with an error code and a message.
| Name | Type | Description |
|---|---|---|
| code |
string |
An error code that describes the error condition more precisely than an HTTP status code. Can be used to programmatically handle specific error cases. |
| details |
Contains nested errors that are related to this error. |
|
| message |
string |
A message that describes the error in detail and provides debugging information. |
| target |
string |
The target of the particular error (for example, the name of the property in error). |
Display
Localized display information for this particular operation.
| Name | Type | Description |
|---|---|---|
| description |
string |
The short, localized friendly description of the operation; suitable for tool tips and detailed views. |
| operation |
string |
The concise, localized friendly name for the operation; suitable for dropdowns. E.g. "Create or Update Virtual Machine", "Restart Virtual Machine". |
| provider |
string |
The localized friendly form of the resource provider name, e.g. "Microsoft Monitoring Insights" or "Microsoft Compute". |
| resource |
string |
The localized friendly name of the resource type related to this operation. E.g. "Virtual Machines" or "Job Schedule Collections". |
Operation
REST API Operation
| Name | Type | Description |
|---|---|---|
| actionType |
Enum. Indicates the action type. "Internal" refers to actions that are for internal only APIs. |
|
| display |
Localized display information for this particular operation. |
|
| isDataAction |
boolean |
Whether the operation applies to data-plane. This is "true" for data-plane operations and "false" for ARM/control-plane operations. |
| name |
string |
The name of the operation, as per Resource-Based Access Control (RBAC). Examples: "Microsoft.Compute/virtualMachines/write", "Microsoft.Compute/virtualMachines/capture/action" |
| origin |
The intended executor of the operation; as in Resource Based Access Control (RBAC) and audit logs UX. Default value is "user,system" |
OperationListResult
The result of the request to list REST API operations. It contains a list of operations and a URL to get the next set of results.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
The URL to get the next set of operation list results, if any. |
| value |
The list of operations by Azure AI Search, some supported by the resource provider and others by data plane APIs. |
Origin
The intended executor of the operation; as in Resource Based Access Control (RBAC) and audit logs UX. Default value is "user,system"
| Value | Description |
|---|---|
| user | |
| system | |
| user,system |